List address checks
curl --request GET \
--url https://api.example.com/api/v4/kyt/checks/address \
--header 'ds-api-token: <api-key>'import requests
url = "https://api.example.com/api/v4/kyt/checks/address"
headers = {"ds-api-token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'ds-api-token': '<api-key>'}};
fetch('https://api.example.com/api/v4/kyt/checks/address', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"address": "0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045",
"balance": "1.2340",
"blockchain": "eth",
"direct_entities": [
{
"incoming_amount": "0.5000",
"name": "Binance",
"outgoing_amount": "0.0000",
"type": "EXCHANGE_LICENSED",
"type_label": "Licensed Exchange"
}
],
"direct_payments": [
{
"risk_score_grade": "high",
"total": "150.00",
"total_count": "3",
"total_count_coef": "0.01",
"type": "SANCTIONS",
"type_label": "Sanctions"
}
],
"error": "",
"id": "a1b2c3d4-e5f6-4890-8bcd-ef1234567890",
"indirect_entities": [
{
"incoming_amount": "0.2000",
"name": "Kraken",
"outgoing_amount": "0.0000",
"type": "EXCHANGE_LICENSED",
"type_label": "Licensed Exchange"
}
],
"indirect_payments": [
{
"risk_score_grade": "moderate",
"total": "50.00",
"total_count": "1",
"total_count_coef": "0.005",
"type": "MIXING_SERVICE",
"type_label": "Mixing Service"
}
],
"name": "Vitalik Buterin",
"received": "1.7340",
"risk_score": "0.15",
"risk_score_grade": "low",
"sanctions": {
"found": true,
"lists": [
{
"name": "Israel Sanctioned Crypto Wallets List",
"url": "https://example.org/sanctions/list"
}
]
},
"sent": "0.5000",
"status": "success",
"token": "",
"type": "ONLINE_WALLET",
"type_label": "Online Wallet"
}
],
"has_next": true
}Address Checks
List address checks
Returns a paginated list of address checks for the authenticated organization.
GET
/
api
/
v4
/
kyt
/
checks
/
address
List address checks
Authorizations
API token passed in the request header.
Query Parameters
Page number (0-based).
Number of results per page (1-200, default 20).
⌘I